LibreOffice: AccessibleList Service Reference

LibreOffice LibreOffice 6.2 SDK API Reference

Included Services | Exported Interfaces | List of all members
AccessibleList Service Reference

Accessible lists are used by combo boxes as container for the list items. More...

`import"AccessibleList.idl";`

Inheritance diagram for AccessibleList:

## Included Services
service | com::sun::star::accessibility::AccessibleContext
| This interface gives access to the structural information of a list: More...

## Exported Interfaces
interface | com::sun::star::accessibility::XAccessibleComponent
interface | com::sun::star::accessibility::XAccessibleExtendedComponent
interface | com::sun::star::accessibility::XAccessible
| Support of the com::sun::star::accessibility::XAccessible interface may be discontinued in the future. More...
interface | com::sun::star::accessibility::XAccessibleSelection
| This interface gives access to the selectable children of a list. More...
Exported Interfaces inherited from AccessibleContext
interface | XAccessibleContext
interface | XAccessibleEventBroadcaster
| is implemented by accessible contexts that supports broadcasting of accessible events. More...

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleExtendedComponent
::com::sun::star::awt::XFont | getFont ()
| Returns the font of this object. More...
string | getTitledBorderText ()
| Returns the titled border text. More...
string | getToolTipText ()
| Returns the tool tip text of this object. More...
Public Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object. More...
boolean | isAccessibleChildSelected ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected. More...
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected. More...
void | selectAllAccessibleChildren ()
| Select all children. More...
long | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected. More...
XAccessible | getSelectedAccessibleChild ([in] long nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child. More...
void | deselectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children. More...
Protected Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...

## Detailed Description

Accessible lists are used by combo boxes as container for the list items.

See also
  com::sun::star::accessibility::AccessibleContext
  com::sun::star::accessibility::XAccessibleComponent
  com::sun::star::accessibility::XAccessibleExtendedComponent
  com::sun::star::accessibility::XAccessibleSelection

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::accessibility::AccessibleContext

service com::sun::star::accessibility::AccessibleContext

This interface gives access to the structural information of a list:

- Role: The role of a list is com::sun::star::accessibility::AccessibleRole::LIST.
- Name: The name of a list is its localized label.
- Description: The description of a list is its localized help text.
- Children: There exists children. Each child is of type com::sun::star::awt::AccessibleListItem.
- Parent: The parent can be of type
  - com::sun::star::awt::AccessibleComboBox
  - com::sun::star::awt::AccessibleListBox
  - com::sun::star::awt::AccessibleDropDownListBox
  - com::sun::star::awt::AccessibleDropDownComboBox
- Relations: There are no relations.
- States: The states supported by this service are
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if the object has already been disposed and subsequent calls to this object result in com::sun::star::lang::DisposedException exceptions.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is set if the object is enabled.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSABLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED is set if the object currently has the keyboard focus.
  - com::sun::star::accessibility::AccessibleStateType::ACTIVE is set if a child has currently the focus.
  - com::sun::star::accessibility::AccessibleStateType::RESIZABLE is set if the object can be resized.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is set if the object is displayed on the screen.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::MULTI_SELECTABLE is set if the list supports multi selection.
  - com::sun::star::accessibility::AccessibleStateType::MANAGES_DESCENDANTS is always set. The children are transient.

## Exported Interfaces

## ◆ com::sun::star::accessibility::XAccessible

interface com::sun::star::accessibility::XAccessible

Support of the com::sun::star::accessibility::XAccessible interface may be discontinued in the future.

## ◆ com::sun::star::accessibility::XAccessibleComponent

interface com::sun::star::accessibility::XAccessibleComponent

## ◆ com::sun::star::accessibility::XAccessibleExtendedComponent

interface com::sun::star::accessibility::XAccessibleExtendedComponent

## ◆ com::sun::star::accessibility::XAccessibleSelection

interface com::sun::star::accessibility::XAccessibleSelection

This interface gives access to the selectable children of a list.

The documentation for this service was generated from the following file:

- com/sun/star/awt/AccessibleList.idl